javax.validation.metadata

## Interface ElementDescriptor.ConstraintFinder

- Enclosing interface:
    ElementDescriptor

      public static interface ElementDescriptor.ConstraintFinder

  Declares restrictions on retrieved constraints. Restrictions are cumulative.

  A `ConstraintFinder` is not thread-safe. The set of matching `ConstraintDescriptor` is.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElementDescriptor.ConstraintFinder` | `declaredOn(ElementType... types)` Restricts to the constraints hosted on the listed `types` for a given element.
    `Set<ConstraintDescriptor<?>>` | `getConstraintDescriptors()` Retrieves the constraint descriptors following the defined restrictions and hosted on the element described by `ElementDescriptor`.
    `boolean` | `hasConstraints()` Returns `true` if at least one constraint declaration matching the restrictions is present on the element, `false` otherwise.
    `ElementDescriptor.ConstraintFinder` | `lookingAt(Scope scope)` Restricts to the constraints matching the provided scope for this element.
    `ElementDescriptor.ConstraintFinder` | `unorderedAndMatchingGroups(Class<?>... groups)` Restricts to the constraints matching a given set of groups for this element.

- - ### Method Detail

    - #### unorderedAndMatchingGroups

          ElementDescriptor.ConstraintFinder unorderedAndMatchingGroups(Class<?>... groups)

      Restricts to the constraints matching a given set of groups for this element.

      This method respects group conversion, group sequences and group inheritance (including class-level `Default` group overriding) but does not return `ConstraintDescriptor`s in any particular order. Specifically, ordering of the group sequence is not respected.
      Parameters:
        `groups` - groups targeted
      Returns:
        `this` following the chaining method pattern

    - #### lookingAt

          ElementDescriptor.ConstraintFinder lookingAt(Scope scope)

      Restricts to the constraints matching the provided scope for this element. Defaults to `Scope.HIERARCHY`
      Parameters:
        `scope` - expected scope
      Returns:
        `this` following the chaining method pattern

    - #### declaredOn

          ElementDescriptor.ConstraintFinder declaredOn(ElementType... types)

      Restricts to the constraints hosted on the listed `types` for a given element.

      Defaults to all possible types of the element.

      Typically used to restrict to fields (`FIELD`) or getters (`METHOD`).
      Parameters:
        `types` - targeted types
      Returns:
        `this` following the chaining method pattern

    - #### getConstraintDescriptors

          Set<ConstraintDescriptor<?>> getConstraintDescriptors()

      Retrieves the constraint descriptors following the defined restrictions and hosted on the element described by `ElementDescriptor`.
      Returns:
        matching constraint descriptors

    - #### hasConstraints

          boolean hasConstraints()

      Returns `true` if at least one constraint declaration matching the restrictions is present on the element, `false` otherwise.
      Returns:
        `true` if there is at least one constraint

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.